xdelta (1.1.3-10.8) unstable; urgency=medium

  * Fix GCC 15 build failures by defining `std=gnu17` (Closes: #1098128)
  * Enable Salsa CI using default template
  * Document packaging git repository conventions in gbp.conf

 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 Oct 2025 23:01:19 -0700

xdelta (1.1.3-10.7) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: turn gcc-14 errors into warnings (Closes: #1075655)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 16 Aug 2024 17:23:31 -0300

xdelta (1.1.3-10.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete debian/shlibs.local which breaks install on 32-bit
    archs.  Thanks to Sven Joachim <svenjoac@gmx.de>.  Closes: #1065121.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 07:46:54 +0000

xdelta (1.1.3-10.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063251

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 06:20:41 +0000

xdelta (1.1.3-10.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don’t install .la files (Closes: #633194)
  * Link libxdelta against libedsio (Closes: #558971, #585713)
  * Backport upstream fixes.
  * Add missing -q to the usage text.
  * Add pkg-config support.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 17:50:22 +0100

xdelta (1.1.3-10.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jelmer Vernooĳ ]
  * Upgrade to newer source format 3.0 (quilt).
  * Set debhelper-compat version in Build-Depends.

  [ Andrej Shadura ]
  * Change priority extra to priority optional.
  * Remove Priority on libxdelta2-dev that duplicates source.
  * Remove empty maintainer scripts: libxdelta2 (postinst).
  * Remove unnecessary cruft, switch to dh sequencer.
  * Install xdelta aclocal m4, because why not.
  * Drop unnecessary build dependency on autotools-dev.
  * Bump Standards-Version to 4.6.0.
  * Set Rules-Requires-Root: no.
  * Prefer a modern pkg-config implementation.
  * Untangle patches from the source.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 15:21:02 +0100

xdelta (1.1.3-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  Sourrce code:
  * Reinstate the NMU changes from 1.1.3-9.1, -9.2, -9.3.
    These seem to have been accidentally dropped in the previous NMU.
    (Used dgit and manual git merge fu; resolved conflicts
    in debian/control and debian/rules.)  Closes: #1002851.
  * Revert apparently-unintended changes in -10.1 to generated files.
  * Remove a spurious trailing tab in debian/rules.
  * Ensure source package contains .gitignore (seems to have been
    added in 1.1.3-10.2, perhaps unintentionally, but IMO omission
    in earlier release is wrong).

  Binary package changes compared to 1.1.3-9.4:
  * Libraries are all in multiarch paths (due to: dh_auto_configure
    as per #875900 in -9.2; in combination with bump of dh compat level).
  * Add Multi-Arch: same to the runtime library.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 31 Dec 2021 00:00:48 +0000

xdelta (1.1.3-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Vcs headers at salsa.
  * Use pkg-config to find glib C flags, as glib-config is gone.
  * Bump debhelper from deprecated 5 to 13. Closes: #965890
    + debian/rules: Rely on default use of dh_missing rather than using
      dh_install --list-missing.
  * Add missing debian/rules targets build-indep, build-arch. Closes: #999238
  * Add debian/rules target for creating configure.
  * debian/rules: Use dh_prep rather than "dh_clean -k".

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 16:27:36 +0000

xdelta (1.1.3-9.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-arch and build-indep targets (closes: #999238).

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Dec 2021 12:15:05 +0000

xdelta (1.1.3-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move xdelta-config libxdelta2-dev. (Closes: #901227)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Jun 2018 11:32:30 +0200

xdelta (1.1.3-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Adding ${misc:Depends} to packages in d/control
    - lintian warning: debhelper-but-no-misc-depends

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_configure (Closes: #875900)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 01 Nov 2017 00:37:55 +0100

xdelta (1.1.3-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on Hurd, patch by Jeremie Koenig (Closes: #640290).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 13 May 2014 14:16:13 +0000

xdelta (1.1.3-9) unstable; urgency=low

  [Jeff Bailey]

  * rules: use autoreconf, not individual commands
  * new config.{guess,sub}
  * configure.in: fix glib linking

  [Barry deFreese]

  * build: switch to debhelper; cleanup lintian, standards level

  [Guillem Jover]

  * Switch from glib1.2 to glib2.0.  Closes: #490257

  [LaMont Jones]

  * configure.in: fix glib check error
  * build: no more debmake
  * build: freshen autofiles
  * build: don't build-dep on auto*
  * drop autogenerated files from source control
  * build: build-depend autotools-dev, drop config.{guess,sub} from source
    control

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Aug 2009 05:52:52 -0600

xdelta (1.1.3-8) unstable; urgency=low

  [Barry deFreese]

  * build: switch to debhelper; cleanup lintian, standards level

  [Jeff Bailey]

  * rules: use autoreconf, not individual commands
  * configure.in: fix glib linking

  [LaMont Jones]

  * control: document git repository location
  * build: regen auto* files.  Closes: #306585
  * build: don't build-dep on auto*
  * drop autogenerated files from source control
  * build: build-depend autotools-dev

 -- LaMont Jones <lamont@debian.org>  Tue, 25 Dec 2007 09:37:02 -0700

xdelta (1.1.3-7) unstable; urgency=low

  * Acknowledge NMU.  Closes: #297844
  * Updates for standards version 3.7.2.0
  * Deltas generated on i386 don't apply on 64-bit machines.  Closes: #147187
  * xdelta.m4 love.  Closes: #212677

 -- LaMont Jones <lamont@debian.org>  Fri, 19 Jan 2007 12:15:11 -0700

xdelta (1.1.3-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * xdmain.c: declare xd_handle_table static rather than extern
    to fix a build failure with GCC 4.0 (Closes: #297844).

 -- Roger Leigh <rleigh@debian.org>  Sun,  4 Sep 2005 16:40:36 +0100

xdelta (1.1.3-6) unstable; urgency=low

  * fix grammar in descriptions.  Closes: #183789

 -- LaMont Jones <lamont@debian.org>  Thu, 10 Apr 2003 00:29:45 -0600

xdelta (1.1.3-5) unstable; urgency=low

  * MU to deal with aj's NMU, fixing his spelling errors. :-)
  * Fix copyright file to refer to upstream author, and current maintainer.
    (Closes: Bug#165377)
  * Use description from upstream README in debian/control.
    (Closes: Bug#142474)
  * Don't try to do anything with the non-existant xdelta.info file.
    (Closes: Bug#174166)
  * new autofiles.  Closes: #183206

 -- LaMont Jones <lamont@debian.org>  Wed,  5 Mar 2003 18:28:32 -0700

xdelta (1.1.3-4) unstable; urgency=low

  * New maintainer.  Closes: #130844

 -- LaMont Jones <lamont@debian.org>  Sat, 26 Jan 2002 00:02:04 -0700

xdelta (1.1.3-3) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 13:53:56 +0100

xdelta (1.1.3-2) unstable; urgency=low

  * s/-m=SIZE/-mSIZE/ in xdelta.1. (closes: #75033)
  * Corrected the priority of libxdelta2-dev from optional to
    extra.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Nov 2001 17:30:33 +0100

xdelta (1.1.3-1.1) unstable; urgency=low

  * NMU
  * Re-run libtoolize to get new arch support.  Closes: #115023

 -- LaMont Jones <lamont@debian.org>  Sat, 20 Oct 2001 20:35:28 -0600

xdelta (1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 24 Sep 2001 14:20:24 +0200

xdelta (1.1.2-2) unstable; urgency=low

  * debian/copyright: New upstream location.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 12 Jul 2001 19:52:34 +0200

xdelta (1.1.2-1) unstable; urgency=high

  * New upstream release.
    - The core dumps and other error messages are now fixed.
      (closes: #40878, #40920, #43869)
    - This release includes an upgraded libtool.
      (closes: #101663)

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  8 Jul 2001 21:04:20 +0200

xdelta (1.1.1-8) unstable; urgency=low

  * Updated config.guess and config.sub (closes: #103373)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed,  4 Jul 2001 13:49:50 +0200

xdelta (1.1.1-7) unstable; urgency=low

  * Updated the location of the GPL in debian/copyright.
  * Strip /usr/lib/libxdelta.so.2.0.0 and
    /usr/lib/libedsio.so.0.0.0 .
  * /usr/doc -> /usr/share/doc (closes: #91567, #91568)
  * Standards-Version: 3.1.1

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 12 Apr 2001 20:45:50 +0200

xdelta (1.1.1-6) unstable; urgency=low

  * debstd is in the debmake package...
    Corrected the build dependencies. (closes: #90625)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 24 Mar 2001 15:16:23 +0100

xdelta (1.1.1-5) unstable; urgency=low

  * Added the missing build dependency on debstd. (closes: #90625)

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 22 Mar 2001 00:35:12 +0100

xdelta (1.1.1-4) unstable; urgency=low

  * New maintainer. (closes: #89720)
  * Changed the package description. (closes: #88019)
  * Use dh_strip in debian/rules.
  * Added "-isp" to dpkg-gencontrol in debian/rules.
  * Added build dependencies.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 15 Mar 2001 15:09:36 +0100

xdelta (1.1.1-3) unstable; urgency=low

  * changed the sections of libxdelta2 and libxdelta2-dev to
  lib and devel. Closes Bug#39951 and Bug#39952.

 -- Frederic Lepied <Lepied@debian.org>  Wed, 23 Jun 1999 06:25:40 +0200

xdelta (1.1.1-2) unstable; urgency=low

  * fixed lintian errors and warnings: added a man page for xdelta-config based
  on glib-config man page and removed edsio-comp.
  * moved xdelta-config to libxdelta2-dev.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 17 Jun 1999 05:47:59 +0200

xdelta (1.1.1-1) unstable; urgency=low

  * new upstream release.

 -- Frederic Lepied <Lepied@debian.org>  Wed, 16 Jun 1999 21:38:45 +0200

xdelta (1.0.0-2) frozen unstable; urgency=low

  * (xdmain.c): corrected a wrong output in help message. Closes bug Bug#30947.

 -- Frederic Lepied <Lepied@debian.org>  Mon, 21 Dec 1998 17:31:12 +0100

xdelta (1.0.0-1) unstable; urgency=low

  * new upstream version.
  * closes Bug#25422 and Bug#27785.

 -- Frederic Lepied <Lepied@debian.org>  Tue,  6 Oct 1998 19:28:22 +0200

xdelta (0.22-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Wed,  8 Jul 1998 06:10:50 +0200

xdelta (0.18-2) frozen unstable; urgency=low

  * made 2 packages from xdelta-dev: libxdelta0 and libxdelta0-dev. Fix Bug#17024.
  * there is a man page in 0.18. Fix Bug#21992.

 -- Frederic Lepied <Lepied@debian.org>  Tue, 12 May 1998 20:32:19 +0200

xdelta (0.18-1) unstable; urgency=low

  * new upstream version. Fix Bug#21102 and Bug#20825.

 -- Frederic Lepied <Lepied@debian.org>  Fri, 24 Apr 1998 06:11:47 +0100

xdelta (0.14-4) unstable; urgency=low

  * fix some lintian bugs and warning. Fix Bug#19440.

 -- Frederic Lepied <Lepied@debian.org>  Sun, 15 Mar 1998 13:51:04 +0100

xdelta (0.14-3) unstable; urgency=low

  * Link /usr/doc/xdelta to /usr/doc/xdelta-dev.

 -- Frederic Lepied <Lepied@debian.org>  Wed, 28 Jan 1998 05:16:19 +0100

xdelta (0.14-2) unstable; urgency=low

  * link the library with the c and gdbm libraries. closes:Bug#16566

 -- Frederic Lepied <Lepied@debian.org>  Sun,  4 Jan 1998 21:11:57 +0100

xdelta (0.14-1) unstable; urgency=low

  * Initial Release.

 -- Lepied <Lepied@debian.org>  Wed, 15 Oct 1997 08:23:13 +0200

Local variables:
mode: debian-changelog
End:
